<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ui_surface">

    <FrameLayout
        android:id="@+id/fl_tags_container"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:visibility="gone">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_tags"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="8dp"
            android:clipToPadding="false"
            android:paddingHorizontal="12dp" />

        <View
            android:layout_width="16dp"
            android:layout_height="match_parent"
            android:layout_gravity="start"
            android:background="@drawable/shape_filtered_left" />

        <View
            android:layout_width="16dp"
            android:layout_height="match_parent"
            android:layout_gravity="end"
            android:background="@drawable/shape_filtered_right" />
    </FrameLayout>

    <com.gh.common.view.CategoryFilterView
        android:id="@+id/filterContainer"
        android:layout_width="match_parent"
        android:layout_height="36dp"
        android:layout_below="@id/fl_tags_container" />

    <FrameLayout
        android:id="@+id/list_skeleton"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/filterContainer" />

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/list_refresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/filterContainer">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/list_rv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <include
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />

    <include
        layout="@layout/reuse_no_connection"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/selectedCategoryContainer" />

    <include
        android:id="@+id/reuse_none_data"
        layout="@layout/reuse_none_data"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/selectedCategoryContainer" />

    <include
        android:id="@+id/reuse_data_exception"
        layout="@layout/reuse_data_exception"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/selectedCategoryContainer" />

</RelativeLayout>
